Linux-koala med næsen i sky klar til beta-download

Næste version af Linux-distributionen Ubuntu, der adlyder navnet Karmic Koala, kan hentes i beta. Værktøjer til Amazons skytjeneste og filsystemet ext4 som standard er blandt de nye tiltag.

Den kommende version 9.10 af Linux-distributionen Ubuntu med kodenavnet Karmic Koala er klar til officiel download 29. oktober, men den kan allerede nu hentes i en beta-udgave.

Det fremgår af den officielle Ubuntu-hjemmeside.

Dermed kan testlystne Ubuntu-brugere prøve kræfter med de nye features i Karmic Koala, som blandt andet byder på en række værktøjer til brug med Amazons skytjeneste EC2.

Karmic Koala indeholder også værktøjet Eucalyptus, som giver virksomheder mulighed for at oprette sin egen sky i datacentret.

Ubuntu 9.10 Beta er baseret på version 2.6.31-11.36 af Linux-kernen, og som noget nyt benytter distributionen sig af bootloaderen GRUB 2 og filsystemet ext4 som standard.

Andre filsystemer kan dog som vanligt vælges manuelt, hvis man foretrækker det, og GRUB 2 bliver kun installeret ved nyinstallation, mens det ifølge Ubuntu-folkene er for risikabelt at erstatte den gamle GRUB med GRUB 2 på allerede installerede systemer ved opgradering.

Samtidig er der arbejdet på at forbedre boot-tiden og selve 'look-and-feel'-delen af opstarten.

Sort skærm på Intel video-chipset
Ubuntu-udviklerne peger selv på flere problemer med beta-udgaven, som raske beta-testere bør være opmærksom på.

Blandt andet kan brugere af computere med Intel video-chipset forvente en sort skærm ved genstart efter installering, fordi modulet fbcon, der står for framebuffer-konsollen, ikke bliver læst ind.

Det kan dog omgås ved at sætte i915.modeset=0 på som option, inden kerne og moduler indlæses under boot.

Ubuntu er lige nu i version 9.04 i sin stabile udgave, som går under navnet Jaunty Jackalope.

Næste udgave af Ubuntu efter Karmic Koala bliver Lucid Lynx med versionsnummeret 10.04, som efter planen dukker op til april 2010.

Lucid Lynx bliver en såkaldt Long Term Support-version (LTS) af Ubuntu med længere supportperiode end ellers. Den seneste LTS-version af Ubuntu var version 8.04 Hardy Heron fra april 2008, som supporteres indtil april 2011.

En komplet liste over nye features og kendte problemer kan læses på Ubuntu-hjemmesiden under fanebladet Eksterne links.

Tips og korrekturforslag til denne historie sendes til tip@version2.dk
Kommentarer (9)
sortSortér kommentarer
  • Ældste først
  • Nyeste først
  • Bedste først
Morten Abildgaard

Jeg kører Ubuntu 9.10 beta 64-bit og Flash'en spiller som den skal (på både dr.dk og youtube.com og alle andre steder).
Jeg har også læst adskillige poster på ubuntuforums.org om at Flash ikke fungere, men alt jeg gjorde var at hente 64-bit Flashplayeren fra http://labs.adobe.com/downloads/flashplayer10.html, pakke den ud, kører sudo cp -r libflashplayer.so /usr/lib/mozilla/plugins/ og slutteligt genstarte min Firefox ;-)

@ Jon: Pas selv på.

  • 0
  • 0
Jimmy Frydkær Dürr

At påstå at flash player ikke fungerer på Ubuntu 9.10 er en direkte forkert påstand. På min Ubuntu 9-10 64 bit fungerer flash upåklageligt, og har gjort det siden Alhpa 1. Jeg har installeret Ubuntu om én gang, da vi nåede til Alpha 4, men ud over den ene svipser har der intet været at udsætte på 9.10 Karmic Koala.

På mit system er flash player installeret gennem synaptic, og ud over ubuntu-restricted-extras er der ikke lavet noget specielt. Jeg har en PPA til Mediabuntu, som klarer flash-delen gennem apt-get update && apt-get upgrade. Mere behøver du ikke. Og min FF fungerer fint på DR og andre flash-sider.

  • 0
  • 0
Jesper S. Møller

@Redaktøren: I skyndingen for at skrive "noget med cloud computing" er det vist gået lidt hurtigt, for det hedder ikke E2C, men ECC (for Elastic Compute Cloud).

Fine resultater med Ubuntu 9.10 her, lidt knas med en touchscreen driver og en Gnome indicator applet på Shuttle x50 og, men ellers kører det fint nok.

  • 0
  • 0
Martin Hansen

Der er problemer med flash på 64 bit platforme, men kun med nogle processorer, da Adobe folkene ikke har kompenseret for at ikke alle amd64 processorer har de samme instruktionssæt. Kan ikke huske link her og nu, men har du en version af en amd64 uden den pågældende instruktion brager FF ned på de fleste flash sider.

  • 0
  • 0
Martin Bøgelund

@Redaktøren: I skyndingen for at skrive "noget med cloud computing" er det vist gået lidt hurtigt, for det hedder ikke E2C, men ECC (for Elastic Compute Cloud).

http://aws.amazon.com/ec2/

Det hedder [b]EC2[/b], fordi konceptet hedder "Elastic Compute Cloud" som du også skriver, altså "ECC", eller "E og C 2 gange".

"ECC" er en forkortelse der i forvejen er i brug i IT (ECC-RAM f.eks.)

  • 0
  • 0
Log ind eller Opret konto for at kommentere